#
# spec file for package perl-Selenium-Remote-Driver
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Selenium-Remote-Driver
Version:        1.20
Release:        1.1
%define cpan_name Selenium-Remote-Driver
Summary:        Perl Client for Selenium Remote Driver
License:        Apache-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Selenium-Remote-Driver/
Source0:        https://cpan.metacpan.org/authors/id/G/GE/GEMPESAW/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
# MANUAL
#BuildArch:     noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Archive::Zip)
BuildRequires:  perl(File::Which)
BuildRequires:  perl(HTTP::Headers)
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(HTTP::Response)
BuildRequires:  perl(IO::String)
BuildRequires:  perl(IO::Uncompress::Unzip) >= 2.030
BuildRequires:  perl(JSON)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(List::Util) >= 1.33
BuildRequires:  perl(Moo) >= 1.005
BuildRequires:  perl(Moo::Role)
BuildRequires:  perl(Sub::Install)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::LWP::UserAgent)
BuildRequires:  perl(Test::LongString)
BuildRequires:  perl(Test::Time)
BuildRequires:  perl(Test::Warn)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(XML::Simple)
BuildRequires:  perl(namespace::clean)
Requires:       perl(Archive::Zip)
Requires:       perl(File::Which)
Requires:       perl(HTTP::Headers)
Requires:       perl(HTTP::Request)
Requires:       perl(HTTP::Response)
Requires:       perl(IO::String)
Requires:       perl(IO::Uncompress::Unzip) >= 2.030
Requires:       perl(JSON)
Requires:       perl(LWP::UserAgent)
Requires:       perl(List::Util) >= 1.33
Requires:       perl(Moo) >= 1.005
Requires:       perl(Moo::Role)
Requires:       perl(Sub::Install)
Requires:       perl(Test::LongString)
Requires:       perl(Try::Tiny)
Requires:       perl(XML::Simple)
Requires:       perl(namespace::clean)
%{perl_requires}

%description
Selenium is a test tool that allows you to write automated web application
UI tests in any programming language against any HTTP website using any
mainstream JavaScript-enabled browser. This module is an implementation of
the client for the Remote driver that Selenium provides. You can find
bindings for other languages at this location:

http://code.google.com/p/selenium/

This module sends commands directly to the Server using HTTP. Using this
module together with the Selenium Server, you can automatically control any
supported browser. To use this module, you need to have already downloaded
and started the Selenium Server (Selenium Server is a Java application).

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644
# MANUAL BEGIN
sed -i -e 's,!/bin/env perl,/usr/bin/perl,' driver-example.pl
# MANUAL END

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
# MANUAL BEGIN
%ifnarch %ix86
  rm -r %{buildroot}/usr/lib/perl5/vendor_perl/*/Selenium/Firefox/x86
%endif
%ifarch x86_64
  rm %{buildroot}/usr/lib/perl5/vendor_perl/*/Selenium/Firefox/amd64/libibushandler.so
%else
  rm -r %{buildroot}/usr/lib/perl5/vendor_perl/*/Selenium/Firefox/amd64
%endif
# MANUAL END
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes GPATH GRTAGS GTAGS ide-plugin.js README.md TAGS

%changelog
* Sat May 27 2017 coolo@suse.com
- updated to 1.20
  see /usr/share/doc/packages/perl-Selenium-Remote-Driver/Changes
  1.20   05-54-2017
    [BUG FIXES]
  - Shim use of name as find method for geckodriver
  - Start up geckodriver/binary Firefox properly
  - #309, #310: @syspete: Fix issues with dependencies
  - #313, #312: @lukec: Handle saucelabs redirect during session create
    [NEW FEATURES]
  - #307: @vitstradal: Re-use an existing session
* Mon Feb 13 2017 coolo@suse.com
- updated to 1.12
  see /usr/share/doc/packages/perl-Selenium-Remote-Driver/Changes
  1.12   02-05-2017
    [BUG FIXES]
  - #303: Restore switchWindow functionality in Chrome
  1.11   02-01-2017
    [NEW FEATURES]
  - #298: @vkatsikaris: fixed ports option (long overdue on my part, thanks)!
    [BUG FIXES]
  - #301: Update json parameter for switchWindow
* Mon Jan  9 2017 coolo@suse.com
- updated to 1.02
  see /usr/share/doc/packages/perl-Selenium-Remote-Driver/Changes
  1.02   12-13-2016
    (bundled firefox driver version: 3.0.0b2)
    [NEW FEATURES]
  - #288: @vkatsikaris: Add context endpoints for Firefox
    [BUG FIXES]
  - #279, #281: @richi235: Fix errors in IDE plugin script generator
  - #291, #292, #299: Handle spec element key format
  1.00   09-01-2016
    (bundled firefox driver version: 3.0.0b2)
    [BREAKING]
  - For users of Selenium::Firefox, FF support defaults to v48;
    if you have FF47 installed, your existing scripts will require
    modification. See docs in Selenium::Firefox for more info.
    [NEW FEATURES]
  - #271: Support geckodriver & FF48
  - #260: Update firefox artifacts to 3.0.0b2 to support FF47
  - #259: Allow users to pass in existing FF profile dir
  - #276: Simplify recordings to enable easier releases
    [BUG FIXES]
  - Encode Firefox profiles without newlines for Sel 3.0 compatibility
  - #272: Remove unnecessary sleeps for successful waits
  - #270: Fix bug in find_child_element default finder
  - #263, #275: Address various documentation issues
  - #253: Fix error_handler being called incorrectly
  0.2701 01-11-2016
    (firefox driver version: 2.48.2)
    [BUG FIXES]
  - #239: Respect existing prefs when using custom profile with Selenium::Firefox
  - #238: Update firefox driver extension to latest 2.48.2
  - #21: Update docs about using child finders with xpath
  0.27   08-30-2015
    [NEW FEATURES]
  - #219: Add `startup_timeout` to CanStartBinary role
  - #211: @peroumal1: Document locator usage for Test::SRD functions
    [BUG FIXES]
  - #215: Replace Time::Mock with the more reliable & tested Test::Time
  - #212: @peroumal1: Fix bug in find_no_element_ok
  - #209: @peroumal1: Make error_handler catch non-webdriver exceptions in Test::SRD
  - #222: Describe demolish/destroy behavior.
  - #226: Allow local file URLs for PAC url
  - Stop trying to do things during global destruction
  0.26   05-16-2015
    (selenium version: 2.45.0)
    [NEW FEATURES]
  - #203: Allow users to install a custom error handler
  - #204: Implement action chains
    [BUG FIXES]
  - #147: Allow for inflation to a full Moose class
  - #192: Stop assuming objects are around during global destruction
  - #200: Fix undocumented upload_file endpoint bug for paths with ".."
  - Refactor to remove some unnecessary dependencies
  0.25   03-24-2015
    (selenium version: 2.45.0)
    [NEW FEATURES]
  - #189 Start webdrivers directly, removing the need for the JRE. See
    Selenium::Chrome, Selenium::Firefox, Selenium::PhantomJS.
    [BUG FIXES]
  - #194, #195: @teodesian, @jamadam: fix undocumented upload file behavior
* Wed Apr  8 2015 lnussel@suse.de
- updated to 0.24
  * #182 Non-crashing warn-instead-of-die parameter finders: find_element_by_class, etc
  * #183 Convenience packages for starting up browsers: Selenium::Chrome, Selenium::Firefox, etc
  * Provide wait_until utility functionality in Selenium::Waiter
  * #184 Fix bug about reverting default finder in T:S:R:D
* Fri Feb 13 2015 coolo@suse.com
- initial package 0.23
  * created by cpanspec 1.78.08
